Subject: bug#70409: 30.0.50; `latexenc-find-file-coding-system` uses `TeX-master` before we know it's safe

From: Stefan Monnier <[email-masked]>
Date: Wed, 17 Apr 2024 13:52:49 -0400

>> > Is it correct for latexenc-find-file-coding-system to use
>> > find-file-noselect for this purpose?
>> That's another question.  My question is instead whether it's safe for
>> `latexenc-find-file-coding-system` to use the `TeX-master` setting in
>> foo.tex`.  I can imagine cases where that setting could be dangerous
>> because it tricks the users into accessing a file they shouldn't access.
> But wouldn't processing the file in a "more literal" manner solve that
> problem as well?

Could be.  I'm just uncomfortable with the idea that we make use of the
`TeX-master: "paper.tex"` local-variable setting before we even bother
to check whether it obeys the usual `safe-local-variable-p` checks (and
even if `enable-local-variables` is nil, AFAICT).

        Stefan